## org.eclipse.datatools.sqltools.routineeditor.result
Class CallableSQLResultRunnable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.editor.core.result.ResultSupportRunnable
                      org.eclipse.datatools.sqltools.routineeditor.result.CallableSQLResultRunnable

All Implemented Interfaces:
  java.lang.Comparable, java.lang.Runnable, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  DerbyCallableRunnable

    public class CallableSQLResultRunnable

extends ResultSupportRunnable

This is a CallableSupportRunnalbe, used to run a callable SQL statement. It supports things like showing SP return value, output parameter, etc.

Author:
  Zhihong(Bryan) Yang

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`CallableSQLResultRunnable(java.sql.Connection con, org.eclipse.debug.core.ILaunchConfiguration configuration, boolean closeCon, IConnectionTracker tracker, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Method Summary
`static char` `byteToChar(byte[] b)`
`org.eclipse.debug.core.ILaunchConfiguration` `getConfiguration()`
`java.lang.String` `getConsumerName()` Gets the consumer name for `OperationCommand`.

Methods inherited from class org.eclipse.datatools.sqltools.editor.core.result.ResultSupportRunnable
`getActionType, getDatabaseIdentifier, getOperationCommand, getOperationStatus, getParentOperationCommand, loopThroughResults, run, setActionType, setConsumerName, setNeedsInitConnection, setParentOperCommand, terminateExecution`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### CallableSQLResultRunnable

    public CallableSQLResultRunnable(java.sql.Connection con,
                                     org.eclipse.debug.core.ILaunchConfiguration configuration,
                                     boolean closeCon,
                                     IConnectionTracker tracker,
                                     org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)
                              throws org.eclipse.core.runtime.CoreException,
                                     java.sql.SQLException,
                                     org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException

Parameters:
  `con` - the connection
  `configuration` - the lauch configuration
  `closeCon` - whether should close connection
  `tracker` - if closeCon is true and tracker is not null, will notify it when close the connection
Throws:
  `org.eclipse.core.runtime.CoreException`
  `java.sql.SQLException`
  `org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException`

Method Detail

### getConsumerName

    public java.lang.String getConsumerName()

  Description copied from class: `ResultSupportRunnable`
  Gets the consumer name for `OperationCommand`. The default value is "SQL Editor".

  Overrides:
    `getConsumerName` in class `ResultSupportRunnable`

### byteToChar

    public static char byteToChar(byte[] b)

### getConfiguration

    public org.eclipse.debug.core.ILaunchConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in class `ResultSupportRunnable`